## org.apache.axis.configuration
Class NullProvider

    java.lang.Object
      |
      +--org.apache.axis.configuration.NullProvider

All Implemented Interfaces:
  EngineConfiguration

public class NullProvider
extends java.lang.Object
implements EngineConfiguration

A do-nothing ConfigurationProvider

Author:
  Glen Daniels (gdaniels@macromedia.com)

Field Summary

Fields inherited from interface org.apache.axis.EngineConfiguration
`PROPERTY_NAME`

Constructor Summary
`NullProvider()`

Method Summary
`void` `configureEngine(AxisEngine engine)` Configure this AxisEngine using whatever data source we have.
`java.util.Iterator` `getDeployedServices()` Get an enumeration of the services deployed to this engine
`java.util.Hashtable` `getGlobalOptions()` Returns the global configuration options.
`Handler` `getGlobalRequest()` Returns a global request handler.
`Handler` `getGlobalResponse()` Returns a global response handler.
`Handler` `getHandler(QName qname)` retrieve an instance of the named handler
`SOAPService` `getService(QName qname)` retrieve an instance of the named service
`SOAPService` `getServiceByNamespaceURI(java.lang.String namespace)` Get a service which has been mapped to a particular namespace
`Handler` `getTransport(QName qname)` retrieve an instance of the named transport
`TypeMapping` `getTypeMapping(java.lang.String encodingStyle)`
`TypeMappingRegistry` `getTypeMappingRegistry()` Retrieve the TypeMappingRegistry for this engine
`void` `writeEngineConfig(AxisEngine engine)` Read the configuration from an engine, and store it somehow.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NullProvider

    public NullProvider()

Method Detail

### configureEngine

    public void configureEngine(AxisEngine engine)
                         throws ConfigurationException

  Description copied from interface: `EngineConfiguration`
  Configure this AxisEngine using whatever data source we have.

  Specified by:
    `configureEngine` in interface `EngineConfiguration`
  Parameters:
    `engine` - the AxisEngine we'll deploy state to
  Throws:
    `ConfigurationException` - if there was a problem

### writeEngineConfig

    public void writeEngineConfig(AxisEngine engine)
                           throws ConfigurationException

  Description copied from interface: `EngineConfiguration`
  Read the configuration from an engine, and store it somehow.

  Specified by:
    `writeEngineConfig` in interface `EngineConfiguration`
  Parameters:
    `engine` - the AxisEngine from which to read state.
  Throws:
    `ConfigurationException` - if there was a problem

### getGlobalOptions

    public java.util.Hashtable getGlobalOptions()
                                         throws ConfigurationException

  Description copied from interface: `EngineConfiguration`
  Returns the global configuration options.

  Specified by:
    `getGlobalOptions` in interface `EngineConfiguration`
    `ConfigurationException`

### getGlobalResponse

    public Handler getGlobalResponse()
                              throws ConfigurationException

  Description copied from interface: `EngineConfiguration`
  Returns a global response handler.

  Specified by:
    `getGlobalResponse` in interface `EngineConfiguration`
    `ConfigurationException`

### getGlobalRequest

    public Handler getGlobalRequest()
                             throws ConfigurationException

  Description copied from interface: `EngineConfiguration`
  Returns a global request handler.

  Specified by:
    `getGlobalRequest` in interface `EngineConfiguration`
    `ConfigurationException`

### getTypeMappingRegistry

    public TypeMappingRegistry getTypeMappingRegistry()
                                               throws ConfigurationException

  Description copied from interface: `EngineConfiguration`
  Retrieve the TypeMappingRegistry for this engine

  Specified by:
    `getTypeMappingRegistry` in interface `EngineConfiguration`
    `ConfigurationException`

### getTypeMapping

    public TypeMapping getTypeMapping(java.lang.String encodingStyle)
                               throws ConfigurationException

    `ConfigurationException`

### getTransport

    public Handler getTransport(QName qname)
                         throws ConfigurationException

  Description copied from interface: `EngineConfiguration`
  retrieve an instance of the named transport

  Specified by:
    `getTransport` in interface `EngineConfiguration`
  Parameters:
    `qname` - XXX
  Returns:
    XXX
  Throws:
    `ConfigurationException` - XXX

### getService

    public SOAPService getService(QName qname)
                           throws ConfigurationException

  Description copied from interface: `EngineConfiguration`
  retrieve an instance of the named service

  Specified by:
    `getService` in interface `EngineConfiguration`
  Parameters:
    `qname` - XXX
  Returns:
    XXX
  Throws:
    `ConfigurationException` - XXX

### getServiceByNamespaceURI

    public SOAPService getServiceByNamespaceURI(java.lang.String namespace)
                                         throws ConfigurationException

  Description copied from interface: `EngineConfiguration`
  Get a service which has been mapped to a particular namespace

  Specified by:
    `getServiceByNamespaceURI` in interface `EngineConfiguration`
  Parameters:
    `namespace` - a namespace URI
  Returns:
    an instance of the appropriate Service, or null
    `ConfigurationException`

### getHandler

    public Handler getHandler(QName qname)
                       throws ConfigurationException

  Description copied from interface: `EngineConfiguration`
  retrieve an instance of the named handler

  Specified by:
    `getHandler` in interface `EngineConfiguration`
  Parameters:
    `qname` - XXX
  Returns:
    XXX
  Throws:
    `ConfigurationException` - XXX

### getDeployedServices

    public java.util.Iterator getDeployedServices()
                                           throws ConfigurationException

  Get an enumeration of the services deployed to this engine

  Specified by:
    `getDeployedServices` in interface `EngineConfiguration`
  Returns:
    something to iterate with
    `ConfigurationException`
  See Also:
    `ServiceDesc`

Copyright © 2003 Apache Web Services Project. All Rights Reserved.